Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1726 (closed defect: fixed)

Opened 11 years ago

Last modified 11 years ago

kernel panic when using wpa_supp AND hostapd/another wpa_supp in a bridge

Reported by: jan@saxnet.de Assigned to:
Priority: major Milestone: version 0.9.5
Component: madwifi: driver Version: v0.9.3.3
Keywords: Cc:
Patch is attached: 0 Pending:

Description

I'm using wrap boards with normal voyage image with 2.6.21-7.mesh and the madwifi stable 0.9.3.2 and 0.9.3.3. When I try to use a bridge with wpa_supplicant and hostapd at the same time, the kernel panics after 10 to 30 minutes. It also happens when I'm using two instances of wpa_supplicant at the same time in a bridge. The wpa_supplicant alone works perfectly in a bridge with eth0.

My script

        ifconfig br0 down
        brctl delbr br0
#madwifi neu laden
        rmmod ath_pci
        modprobe ath_pci
#wifi0 hochfahren als sta
        wlanconfig ath0 create wlandev wifi0 wlanmode sta
        iwconfig ath0 essid strecke1
        ifconfig ath0 0.0.0.0 down
        iwpriv ath0 wds 1
        ifconfig ath0 0.0.0.0 up

        wlanconfig ath1 create wlandev wifi1 wlanmode master
        iwconfig ath1 essid strecke2
        iwconfig ath1 channel 10
        ifconfig ath1 0.0.0.0 down
        iwpriv ath1 wds 1
        ifconfig ath1 0.0.0.0 up
        ifconfig eth0 0.0.0.0 up

#bridging
        brctl addbr br0
        brctl addif br0 ath0
        brctl addif br0 ath1
        brctl addif br0 eth0
        brctl setfd br0 1
#bridge hochfahren
        ifconfig br0 192.168.2.122 up

        hostapd -B /etc/hostapd/hostapd.conf
        wpa_supplicant -B -i ath0 -D madwifi -b br0  -c /etc/wpa_supplicant/wpa_supplicant.conf

my hostapd.conf

auth_algs=3
bridge=br0
ctrl_interface_group=0
ctrl_interface=/var/run/hostapd
debug=0
#deny_mac_file=/etc/hostapd.deny
driver=madwifi
dump_file=/tmp/hostapd.dump
eapol_key_index_workaround=0
eap_server=0
interface=ath1
logger_stdout=-1
#logger_stdout=--1
logger_stdout_level=2
logger_syslog=-1
logger_syslog_level=2
macaddr_acl=0
ssid=strecke1
wpa=3
wpa_key_mgmt=WPA-PSK
wpa_pairwise=TKIP CCMP
wpa_passphrase=topsecretdude

wpa_supplicant.conf

network={
       scan_ssid=1
       proto=RSN
       key_mgmt=WPA-PSK
       pairwise=CCMP
       group=TKIP
       ssid="strecke1"
       psk="topsecretdude"
 }

Attachments

panic.txt (3.3 kB) - added by jan@saxnet.de on 01/15/08 09:08:15.
Panic/Oops output

Change History

(in reply to: ↑ description ) 01/10/08 09:44:19 changed by jan@saxnet.de

I have made a mistake while posting the hostapd.conf script. I has to be "ssid=strecke2" and not strecke1... sorry.

01/15/08 09:08:15 changed by jan@saxnet.de

  • attachment panic.txt added.

Panic/Oops output

01/16/08 20:47:57 changed by mentor

  • priority changed from critical to major.

Can you reproduce with trunk?

02/07/08 05:20:04 changed by mtaylor

  • status changed from new to closed.
  • resolution set to fixed.

I think this is fixed in trunk and was caused by double-free.

02/07/08 06:17:12 changed by mrenzmann

  • milestone set to version 0.9.5.